MillionSend Docs

/webhooks/{id}

PATCH
/webhooks/{id}

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
endpoint?string
Formaturi
Lengthlength <= 2048
events?array<>
Items1 <= items
status?string
Value in"enabled""disabled"
inbox_ids?array<>

MillionSend extension: inbox events and email.received reach this endpoint only for these inboxes of the team (at most 100). null means every inbox. Omitted: unchanged.

Itemsitems <= 100

Response Body

Webhook updated

application/json
  1. response
object*"webhook"
Value in"webhook"
id*string
Formatuuid
Example Request
curl -X PATCH 'https://api.millionsend.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "webhook",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}